Project

General

Profile

Bug #4363

Ruby segfaults when any gem module is required

Added by gomysql (Geoff W.) almost 9 years ago. Updated over 8 years ago.

Status:
Rejected
Priority:
Normal
Assignee:
-
Target version:
ruby -v:
ruby 1.9.2p136 (2010-12-25 revision 30365) [x86_64-linux]
Backport:
[ruby-core:35076]

Description

=begin
Test file 1 (test.rb):
# Begin
require "mysql"
# End

Test file 2 (test2.rb):
# Begin
require "active_record"
# End

Test case:
ruby test.rb

Output:

internal:lib/rubygems/custom_require:29: [BUG] iseq_set_arguments: NODE_ARGS is expected, but NODE_SCOPE
ruby 1.9.2p136 (2010-12-25 revision 30365) [x86_64-linux]

-- control frame ----------
c:0009 p:---- s:0030 b:0030 l:000029 d:000029 CFUNC :require
c:0008 p:0013 s:0026 b:0026 l:000025 d:000025 METHOD internal:lib/rubygems/custom_require:29
c:0007 p:0096 s:0021 b:0021 l:000020 d:000020 METHOD internal:gem_prelude:167
c:0006 p:0017 s:0018 b:0018 l:000017 d:000017 METHOD internal:gem_prelude:217
c:0005 p:0060 s:0014 b:0014 l:000010 d:000013 BLOCK internal:lib/rubygems/custom_require:32
c:0004 p:0014 s:0011 b:0011 l:000010 d:000010 METHOD internal:lib/rubygems/custom_require:29
c:0003 p:0011 s:0006 b:0006 l:002698 d:001228 EVAL test.rb:1
c:0002 p:---- s:0004 b:0004 l:000003 d:000003 FINISH
c:0001 p:0000 s:0002 b:0002 l:002698 d:002698 TOP


-- Ruby level backtrace information ----------------------------------------
test.rb:1:in <main>'
<internal:lib/rubygems/custom_require>:29:in
require'
internal:lib/rubygems/custom_require:32:in rescue in require'
<internal:gem_prelude>:217:in
try_activate'
internal:gem_prelude:167:in load_full_rubygems_library'
<internal:lib/rubygems/custom_require>:29:in
require'
internal:lib/rubygems/custom_require:29:in `require'

-- C level backtrace information -------------------------------------------
ruby(rb_vm_bugreport+0xb5) [0x523cb5]
ruby [0x561e23]
ruby(rb_bug+0xb1) [0x561f91]
ruby [0x501be2]
ruby(rb_iseq_new_with_opt+0xbc) [0x507aac]
ruby [0x4f6762]
ruby [0x4f4894]
ruby(rb_iseq_compile_node+0x62c) [0x5015ac]
ruby(rb_iseq_new_with_opt+0xbc) [0x507aac]
ruby [0x4f70a3]
ruby [0x4f4894]
ruby(rb_iseq_compile_node+0x520) [0x5014a0]
ruby [0x50650d]
ruby(rb_iseq_new_top+0x2c) [0x5067dc]
ruby [0x5648e5]
ruby(rb_require_safe+0x675) [0x565ea5]
ruby [0x50c8f3]
ruby [0x50ff7a]
ruby [0x51694d]
ruby(rb_iseq_eval_main+0x1dc) [0x516c2c]
ruby [0x417c1f]
ruby(ruby_run_node+0x36) [0x41a3e6]
ruby(main+0x4d) [0x416ead]
/lib64/libc.so.6(__libc_start_main+0xf4) [0x39d841d994]
ruby [0x416da9]

[NOTE]
You may have encountered a bug in the Ruby interpreter or extension libraries.
Bug reports are welcome.
For details: http://www.ruby-lang.org/bugreport.html

Aborted

Note: Both files output the same error.
=end

History

#1

Updated by nobu (Nobuyoshi Nakada) almost 9 years ago

=begin
Hi,

At Fri, 4 Feb 2011 05:16:32 +0900,
Geoff W. wrote in [ruby-core:35076]:

ruby -v: ruby 1.9.2p136 (2010-12-25 revision 30365) [x86_64-linux]

Test file 1 (test.rb):

Begin

require "mysql"

End

Test file 2 (test2.rb):

Begin

require "active_record"

End

I can't reproduce it. How did you compile and install that ruby?

--
Nobu Nakada

=end

#2

Updated by naruse (Yui NARUSE) over 8 years ago

  • Status changed from Open to Rejected

I close this as Rejected since no feedback provided.
Please reopen this if it still happens on the latest version of ruby.

Also available in: Atom PDF